summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-07-21 20:47:34 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-07-21 20:47:34 +0100
commit1e3cb587fdf303df9aeb0b00a1a45585e18f6134 (patch)
treea35eca5f8860350c790edbcd0aa96ef4fa1200aa /eclass
parentd3f42b1ace45210af6c1b0c1970d626d411b15e0 (diff)
gentoo auto-resync : 21:07:2023 - 20:47:34
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin38321 -> 38335 bytes
-rw-r--r--eclass/dist-kernel-utils.eclass2
-rw-r--r--eclass/kernel-build.eclass8
-rw-r--r--eclass/kernel-install.eclass18
-rw-r--r--eclass/toolchain-funcs.eclass14
5 files changed, 21 insertions, 21 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 0b4f4bd6f44e..5859313574d4 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/dist-kernel-utils.eclass b/eclass/dist-kernel-utils.eclass
index cb0021f8b3a7..666896028669 100644
--- a/eclass/dist-kernel-utils.eclass
+++ b/eclass/dist-kernel-utils.eclass
@@ -77,7 +77,7 @@ dist-kernel_get_image_path() {
arm)
echo arch/arm/boot/zImage
;;
- hppa|ppc|ppc64)
+ hppa|ppc|ppc64|sparc)
# https://www.kernel.org/doc/html/latest/powerpc/bootwrapper.html
# ./ is required because of ${image_path%/*}
# substitutions in the code
diff --git a/eclass/kernel-build.eclass b/eclass/kernel-build.eclass
index ff615a02d0eb..276a08a104e0 100644
--- a/eclass/kernel-build.eclass
+++ b/eclass/kernel-build.eclass
@@ -257,6 +257,14 @@ kernel-build_src_install() {
local kern_arch=$(tc-arch-kernel)
local dir_ver=${PV}${KV_LOCALVERSION}
local kernel_dir=/usr/src/linux-${dir_ver}
+
+ if use sparc ; then
+ # We don't want tc-arch-kernel's sparc64, even though we do
+ # need to pass ARCH=sparc64 to the build system. It's a quasi-alias
+ # in Kbuild.
+ kern_arch=sparc
+ fi
+
dodir "${kernel_dir}/arch/${kern_arch}"
mv include scripts "${ED}${kernel_dir}/" || die
mv "arch/${kern_arch}/include" \
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index 49aff35dea0d..62fbb1dab049 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -1,4 +1,4 @@
-# Copyright 2020-2022 Gentoo Authors
+# Copyright 2020-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: kernel-install.eclass
@@ -69,6 +69,7 @@ BDEPEND="
arm64? ( app-emulation/qemu[qemu_softmmu_targets_aarch64] )
ppc? ( app-emulation/qemu[qemu_softmmu_targets_ppc] )
ppc64? ( app-emulation/qemu[qemu_softmmu_targets_ppc64] )
+ sparc? ( app-emulation/qemu[qemu_softmmu_targets_sparc,qemu_softmmu_targets_sparc64] )
x86? ( app-emulation/qemu[qemu_softmmu_targets_i386] )
)"
@@ -150,21 +151,12 @@ kernel-install_get_qemu_arch() {
x86)
echo i386
;;
- arm)
- echo arm
- ;;
+ arm|ppc|ppc64|riscv|sparc|sparc64)
+ echo ${ARCH}
+ ;;
arm64)
echo aarch64
;;
- ppc)
- echo ppc
- ;;
- ppc64)
- echo ppc64
- ;;
- riscv)
- echo riscv
- ;;
*)
die "${FUNCNAME}: unsupported ARCH=${ARCH}"
;;
diff --git a/eclass/toolchain-funcs.eclass b/eclass/toolchain-funcs.eclass
index bffbf36f1696..78ebfe54e41a 100644
--- a/eclass/toolchain-funcs.eclass
+++ b/eclass/toolchain-funcs.eclass
@@ -666,7 +666,7 @@ tc-has-tls() {
# Parse information from CBUILD/CHOST/CTARGET rather than
# use external variables from the profile.
tc-ninja_magic_to_arch() {
- ninj() { [[ ${type} == "kern" ]] && echo $1 || echo $2 ; }
+ _tc_echo_kernel_alias() { [[ ${type} == "kern" ]] && echo $1 || echo $2 ; }
local type=$1
local host=$2
@@ -676,16 +676,16 @@ tc-ninja_magic_to_arch() {
aarch64*) echo arm64;;
alpha*) echo alpha;;
arm*) echo arm;;
- avr*) ninj avr32 avr;;
- bfin*) ninj blackfin bfin;;
+ avr*) _tc_echo_kernel_alias avr32 avr;;
+ bfin*) _tc_echo_kernel_alias blackfin bfin;;
c6x*) echo c6x;;
cris*) echo cris;;
frv*) echo frv;;
hexagon*) echo hexagon;;
- hppa*) ninj parisc hppa;;
+ hppa*) _tc_echo_kernel_alias parisc hppa;;
i?86*) echo x86;;
ia64*) echo ia64;;
- loongarch*) ninj loongarch loong;;
+ loongarch*) _tc_echo_kernel_alias loongarch loong;;
m68*) echo m68k;;
metag*) echo metag;;
microblaze*) echo microblaze;;
@@ -708,11 +708,11 @@ tc-ninja_magic_to_arch() {
riscv*) echo riscv;;
s390*) echo s390;;
score*) echo score;;
- sh64*) ninj sh64 sh;;
+ sh64*) _tc_echo_kernel_alias sh64 sh;;
sh*) echo sh;;
sparc64*) ninj sparc64 sparc;;
sparc*) [[ ${PROFILE_ARCH} == "sparc64" ]] \
- && ninj sparc64 sparc \
+ && _tc_echo_kernel_alias sparc64 sparc \
|| echo sparc
;;
tile*) echo tile;;